/* google fonts */
@import url("https://fonts.googleapis.com/css2?family=Boldonse&display=swap");

/* simple hover state for all buttons */
.hover:hover {
    background-color: rgb(249, 195, 94);
    color: rgb(0, 0, 0);
}

/* Navbar styling */
nav {
    top: 0;
    background-color: rgba(0, 0, 0, 0.1);
    padding: 0.5rem 0;
}

nav .nav-item {
    background-color: rgb(255, 255, 255);
    border: black 1px solid;
    margin-left: 5px;
    margin-right: 5px;
}
nav .navbar-nav .nav-link {
    padding: 0.5rem 1rem;
}
nav img {
    margin-left: 8px;
    height: 50px;
}
nav .btn {
    border: black 2px solid;
    border-radius: 0px;
    background-color: rgb(226, 107, 39);
    color: rgb(0, 0, 0);
}

body {
    background: url("../images/Sunny_BG_1.jpg") center/cover no-repeat;
    min-height: 100vh;
    background-size: cover;
    padding-top: 57px;
    /* Adjust padding to prevent content from being hidden behind navbar */
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}
main {
    flex: 1 0 auto;
}

/* Footer Styling */
footer {
    background-color: rgb(226, 107, 39);
    color: rgb(0, 0, 0);
    padding: 20px 0;
    text-align: center;
    margin-top: auto;
    width: 100%;
}

footer .display-4 {
    font-family: "boldonse", sans-serif;
    font-size: 30px;
}

footer p {
    margin: 1px;
}

.search-input {
    font-size: 1.2rem;
    padding: 10px;
}
/* Searchbar styling */

#location-form .search-input {
    border-radius: 0px;
    background-color: rgb(255, 255, 255);
    border: black 2px solid;
    width: 70vw;
}

/*Hero Section*/
#hero h1 {
    color: #fdd90d;
    text-align: center;
    padding-top: 40px;
    padding-bottom: 2px;
    font-size: 3rem;
    font-family: "boldonse", sans-serif;
    text-shadow: #5c5a50 1px 0 10px;
}

#location-form .search-input {
    border-radius: 0px;
    background-color: rgb(255, 255, 255);
    border: black 2px solid;
}

#location-form .btn {
    border-radius: 0px;
    background-color: #f6ffa5;
    color: #000000;
    border: black 2px solid;
}
#applyDataFilters {
    border-radius: 0px;
    background-color: #f6ffa5;
    color: #000000;
    border: black 2px solid;
}

/* add favourite button styling */
#add-favourite-btn {
    font-size: 16px;
    border-radius: 0px;
    background-color: #f6ffa5;
    color: #000000;
    border: black 2px solid;
    height: 39.2px;
    width: 100%;
}
/*Card styling*/
.weather-card {
    flex: 1 1 auto;
    color: rgb(226, 107, 39);
    border-radius: 15px;
    min-width: 150px;
    background-color: rgb(219, 227, 240);
    opacity: 100%;
    padding: 10px;
}

.weather-card-today {
    color: rgb(226, 107, 39);
    border-top: #fdd90d 4px solid;
    border-radius: 15px;
    background-color: rgb(219, 227, 240);
    opacity: 100%;
    min-width: 150px;
    max-width: 90%;
    padding: 0;
    min-height: auto;
}

.favourite-card {
    text-align: center;
    border-top: rgb(162, 5, 5) 4px solid;
}

.temp-display {
    font-size: 1.7rem;
    font-weight: bold;
}
#forecast-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 10px;
    margin: 0 auto;
    padding: 0 10px;
}

#forecast-container .forecast-card {
    flex: 0 0 auto;
    width: auto;
}

#forecast-container .weather-card {
    margin-top: 20px;
    border-top: rgb(239, 90, 15) 4px solid;
    text-align: center;
    max-width: 100px;
}

.weather-icon {
    width: 80px;
    height: 80px;
    margin: 0 auto;
    display: block;
}
.day {
    font-size: 1.2rem;
    font-weight: bold;
    margin-bottom: 0px;
    color: rgb(90, 90, 90);
}
/* Secondary text color on cards */
.text-muted {
    color: rgb(226, 107, 39) !important;
}

.date-text {
    font-size: 0.9rem;
    color: rgb(58, 58, 58) !important;
    margin-right: 5%;
}

.add-icon {
    max-width: 70%;
}

/*media queries */
/*medium screens */
@media screen and (min-width: 768px) {
    .weather-card-today {
        max-width: 600px;
    }
    .weather-card {
        max-width: 300px;
    }
}

@media screen and (min-width: 992px) {
    .weather-card-today {
        max-width: 650px;
    }

    #forecast-options-form {
        flex-direction: column !important;
    }
}

@media screen and (min-width: 1200px) {
    .weather-card-today {
        max-width: 700px;
    }
}
